Subject: Re: Mercury???

From: "Richard A. O'Keefe" <[email-masked]>
Date: Tue, 14 Mar 2000 14:50:28 +1300 (NZDT)

It appears that some of the main features of Mercury which make it faster
	and easier to debug are that it is a strongly-typed language and a compiled
	language compared to most versions of Prolog which are interpreted and
	untyped.

It's worth noting that while there are some Prolog _interpreters_
(such as C-Prolog) most Prolog systems compile to an abstract
instruction set (Quintus Prolog, XSB Prolog, and so on), and there
_are_ Prolog systems that compile to native code (Aquarius, SICStus
with certain options, WamCC amongst others).

	Visual Prolog is also strongly typed and compiled and may interest
	those who are seeking these features without changing languages altogether.

Note that Mercury is *very* close to Edinburgh Prolog syntactically.
Note also that it is completely free and Open Source.